<?php

/**
 * Vehicle Finder Form template.
 *
 * @package Auto Dealer Forms
 */

?>

<!-- Vehicle Finder Form -->
<form id="vehicle-finder-form" name="vehicle-finder-form" method="post" action="<?= esc_url(get_permalink('46')); ?>" class="w-full bg-white px-4 2xl:px-0 py-10 rounded-md">
    <h2 class="text-xl lg:text-3xl font-bold mb-2 uppercase">Get <span class="text-red-500">Notified</span> When We Get Your Vehicle!</h2>

    <div class="sm:grid sm:grid-cols-2 md:grid-cols-3 gap-4">

        <!-- Vehicle Details -->
        <div class="mb-2">
            <label for="vehicle_finder_sale_class" class="block text-gray-700">Vehicle Sale Class</label>
            <select id="vehicle_finder_sale_class" name="vehicle_finder_sale_class" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Select Condition</option>
                <option value="new">New</option>
                <option value="used">Used</option>
            </select>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_year" class="block text-gray-700">Vehicle Year</label>
            <input autocomplete="off" placeholder="2022" type="number" id="vehicle_finder_vehicle_year" name="vehicle_finder_vehicle_year" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_make" class="block text-gray-700">Vehicle Make</label>
            <input autocomplete="off" placeholder="Ford, Honda, Subaru" type="text" id="vehicle_finder_vehicle_make" name="vehicle_finder_vehicle_make" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_model" class="block text-gray-700">Vehicle Model</label>
            <input autocomplete="off" placeholder="F-150, Civic, Outback" type="text" id="vehicle_finder_vehicle_model" name="vehicle_finder_vehicle_model" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_style" class="block text-gray-700">Vehicle Style</label>
            <select id="vehicle_finder_vehicle_style" name="vehicle_finder_vehicle_style" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>---</option>
                <option value="vehicle">Vehicle</option>
                <option value="track">Truck</option>
                <option value="van">Van</option>
            </select>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_transmission" class="block text-gray-700">Vehicle Transmission</label>
            <select id="vehicle_finder_vehicle_transmission" name="vehicle_finder_vehicle_transmission" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Not Specified</option>
                <option value="automatic">Automatic</option>
                <option value="manual">Manual</option>
            </select>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_odometer" class="block text-gray-700">Vehicle Odometer</label>
            <input autocomplete="off" placeholder="10,000" type="number" id="vehicle_finder_vehicle_odometer" name="vehicle_finder_vehicle_odometer" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_vehicle_price" class="block text-gray-700">Vehicle Price</label>
            <input autocomplete="off" placeholder="15,000" type="number" id="vehicle_finder_vehicle_price" name="vehicle_finder_vehicle_price" class="rounded-md form-input mt-1 block w-full" required>
        </div>

        <!-- Contact Information -->
        <div class="mb-2">
            <label for="vehicle_finder_full_name" class="block text-gray-700">Full Name</label>
            <input autocomplete="off" placeholder="Enter your full name" type="text" id="vehicle_finder_full_name" name="vehicle_finder_full_name" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_phone_number" class="block text-gray-700">Phone Number</label>
            <input autocomplete="off" placeholder="Enter your phone number" type="tel" id="vehicle_finder_phone_number" name="vehicle_finder_phone_number" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_email" class="block text-gray-700">Email</label>
            <input autocomplete="off" placeholder="Enter your best email" type="email" id="vehicle_finder_email" name="vehicle_finder_email" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_finder_preferred_contact" class="block text-gray-700">Preferred Contact Method</label>
            <select id="vehicle_finder_preferred_contact" name="vehicle_finder_preferred_contact" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Select Contact Method</option>
                <option value="phone">Phone</option>
                <option value="email">Email</option>
                <option value="text">Text</option>
            </select>
        </div>
        <div class="mb-2 sm:col-span-2 md:col-span-3">
            <label for="vehicle_finder_message" class="block text-gray-700">Message</label>
            <textarea autocomplete="off" placeholder="Enter your message" id="vehicle_finder_message" name="vehicle_finder_message" class="rounded-md h-44 lg:h-56 form-textarea mt-1 block w-full" required></textarea>
        </div>

        <!-- Consent Checkboxes -->
        <div class="mb-2 sm:col-span-2 md:col-span-3 flex items-center">
            <input type="checkbox" id="vehicle_finder_newsletter_consent" name="vehicle_finder_newsletter_consent" class="rounded-sm form-checkbox" required>
            <label for="vehicle_finder_newsletter_consent" class="ml-2 text-gray-700">I agree to receive periodical offers, newsletter, safety and recall updates from the dealership. Consent can be withdrawn at any time.</label>
        </div>
        <div class="mb-2 sm:col-span-2 md:col-span-3 flex items-center">
            <input type="checkbox" id="vehicle_finder_privacy_consent" name="vehicle_finder_privacy_consent" class="rounded-sm form-checkbox" required>
            <label for="vehicle_finder_privacy_consent" class="ml-2 text-gray-700">By submitting this information, you are accepting that it may be collected, used and disclosed as described in our <a class="font-medium" href="<?= esc_url(get_permalink('181')); ?>">privacy policy</a>.</label>
        </div>

        <!-- Submit Button -->
        <div class="lg:col-span-3">
            <button type="submit" id="vehicle_finder_submit" name="vehicle_finder_submit" aria-label="Vehicle Finder Form" class="w-full bg-red-500 hover:bg-red-800 transition-colors duration-300 text-white font-medium py-2 px-4 rounded">
                Submit<i class="bi-send-check ml-2"></i>
            </button>
        </div>

    </div>
</form>