<?php

/**
 * Vehicle Search Form template.
 *
 * @package Auto Dealer Forms
 */

?>

<!-- Vehicle Search Form -->
<form id="vehicle-search-form" name="vehicle-search-form" method="get" action="<?= esc_url(site_url('/')) ?>" class="w-full bg-white px-6 lg:px-8 py-10 rounded-md">
    <h2 class="text-xl lg:text-3xl font-bold mb-2 uppercase">Find your vehicle</h2>
    <div class="sm:grid sm:grid-cols-2 gap-4">

        <div>
            <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_year">Year</label>
            <select class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" id="vehicle_search_year" name="vehicle_search_year" required>
                <option value="" disabled selected>Select Year</option>
                <option value="2022">2022</option>
                <option value="2021">2021</option>
                <option value="2020">2020</option>
                <option value="2019">2019</option>
                <option value="2018">2018</option>
            </select>
        </div>

        <div>
            <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_make">Make</label>
            <select class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" id="vehicle_search_make" name="vehicle_search_make" required>
                <option value="" disabled selected>Select Make</option>
                <option value="Toyota">Toyota</option>
                <option value="Honda">Honda</option>
                <option value="Ford">Ford</option>
                <option value="Chevrolet">Chevrolet</option>
                <option value="Nissan">Nissan</option>
            </select>
        </div>

        <div>
            <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_model">Model</label>
            <select class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" id="vehicle_search_model" name="vehicle_search_model" required>
                <option value="" disabled selected>Select Model</option>
                <option value="Camry">Camry</option>
                <option value="Accord">Accord</option>
                <option value="F-150">F-150</option>
                <option value="Silverado">Silverado</option>
                <option value="Altima">Altima</option>
            </select>
        </div>

        <div>
            <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_body_type">Body Type</label>
            <select class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" id="vehicle_search_body_type" name="vehicle_search_body_type" required>
                <option value="" disabled selected>Select Body Type</option>
                <option value="Sedan">Sedan</option>
                <option value="SUV">SUV</option>
                <option value="Truck">Truck</option>
                <option value="Hatchback">Hatchback</option>
                <option value="Coupe">Coupe</option>
            </select>
        </div>

        <div>
            <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_transmission">Transmission</label>
            <select class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" id="vehicle_search_transmission" name="vehicle_search_transmission" required>
                <option value="" disabled selected>Select Transmission</option>
                <option value="Automatic">Automatic</option>
                <option value="Manual">Manual</option>
                <option value="CVT">CVT</option>
            </select>
        </div>

        <div>
            <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_trim">Trim</label>
            <select class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" id="vehicle_search_trim" name="vehicle_search_trim" required>
                <option value="" disabled selected>Select Trim</option>
                <option value="LE">LE</option>
                <option value="EX">EX</option>
                <option value="XLT">XLT</option>
                <option value="LT">LT</option>
                <option value="SV">SV</option>
            </select>
        </div>

        <div class="flex flex-col col-span-2">
            <div>
                <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_kilometers">Kilometers</label>
                <!-- <input class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" type="hidden" id="vehicle_search_kilometers" name="vehicle_search_kilometers" min="16000" max="200000"> -->
            </div>
            <div class="range-container">
                <input type="range" class="range-slider" id="vehicle_search_kilometers" name="vehicle_search_kilometers" min="20000" max="252000" required />
                <label for="vehicle_search_kilometers">Kilometers</label>
            </div>
            <div>
                <label class="block mb-2 text-sm font-medium text-gray-700" for="vehicle_search_price">Price</label>
                <!-- <input class="w-full px-3 py-2 border rounded-md text-gray-700 focus:outline-none focus:border-red-500" type="hidden" id="vehicle_search_price" name="vehicle_search_price" min="5000" max="70000"> -->
            </div>
            <div class="range-container">
                <input type="range" class="range-slider" id="vehicle_search_price" name="vehicle_search_price" min="5998" max="67888" required />
                <label for="vehicle_search_price">Price</label>
            </div>
        </div>

        <div class="lg:col-span-2">
            <button type="submit" aria-label="Find Your Vehicle Search" class="w-full bg-red-500 hover:bg-red-800 transition-colors duration-300 text-white font-medium py-2 px-4 rounded">
                <i class="bi-search mr-2"></i>Search
            </button>
        </div>
    </div>
</form>