<?php

/**
 * Vecicle Sell Form template.
 *
 * @package Auto Dealer Forms
 */

?>

<!-- Vehicle Sell Form -->
<form id="vehicle-sell-form" name="vehicle-sell-form" method="post" action="<?= esc_url(get_permalink('53')); ?>" class="w-full bg-white px-4 2xl:px-0 py-10 rounded-md">

    <h2 class="text-xl lg:text-3xl font-bold mb-2 uppercase">Tell Us About The Vehicle You Want To Sell</h2>
    <div class="sm:grid sm:grid-cols-2 md:grid-cols-3 gap-4 mb-4">

        <!-- Vehicle Details -->
        <div class="mb-2">
            <label for="vehicle_sell_year" class="block text-gray-700">Vehicle Year</label>
            <input autocomplete="off" placeholder="<?= date("Y") - 6; ?>" type="number" id="vehicle_sell_year" name="vehicle_sell_year" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_make" class="block text-gray-700">Vehicle Make</label>
            <input autocomplete="off" placeholder="Ford, Honda, Subaru..." type="text" id="vehicle_sell_make" name="vehicle_sell_make" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_model" class="block text-gray-700">Vehicle Model</label>
            <input autocomplete="off" placeholder="F-150, Civic, Outback..." type="text" id="vehicle_sell_model" name="vehicle_sell_model" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_transmission" class="block text-gray-700">Vehicle Transmission</label>
            <select id="vehicle_sell_transmission" name="vehicle_sell_transmission" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Select Transmission</option>
                <option value="Automatic">Automatic</option>
                <option value="Manual">Manual</option>
                <option value="CVT">CVT</option>
            </select>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_odometer" class="block text-gray-700">Vehicle Odometer</label>
            <input autocomplete="off" placeholder="93,000 KM" type="text" id="vehicle_sell_odometer" name="vehicle_sell_odometer" class="rounded-md form-input mt-1 block w-full" required>
        </div>

        <!-- Contact Information -->
        <div class="mb-2">
            <label for="vehicle_sell_seller_full_name" class="block text-gray-700">Full Name</label>
            <input autocomplete="off" placeholder="Enter your full name" type="text" id="vehicle_sell_seller_full_name" name="vehicle_sell_seller_full_name" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_seller_phone_number" class="block text-gray-700">Phone Number</label>
            <input autocomplete="off" placeholder="" type="tel" id="vehicle_sell_seller_phone_number" name="vehicle_sell_seller_phone_number" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_seller_email" class="block text-gray-700">Email</label>
            <input type="email" id="vehicle_sell_seller_email" name="vehicle_sell_seller_email" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_sell_preferred_contact" class="block text-gray-700">Preferred Contact Method</label>
            <select id="vehicle_sell_preferred_contact" name="vehicle_sell_preferred_contact" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Select Preferred Contact Method</option>
                <option value="phone">Phone</option>
                <option value="email">Email</option>
                <option value="text">Text</option>
            </select>
        </div>

        <div class="mb-2 sm:col-span-2 md:col-span-3">
            <label for="vehicle_sell_seller_message" class="rounded-md block text-gray-700">Message</label>
            <textarea autocomplete="off" placeholder="Leave your message..." id="vehicle_sell_seller_message" name="vehicle_sell_seller_message" class="rounded-md h-44 lg:h-56 form-textarea mt-1 block w-full" required></textarea>
        </div>

        <!-- Consent Checkboxes -->
        <div class="mb-2 sm:col-span-2 md:col-span-3 flex items-center">
            <input type="checkbox" id="vehicle_sell_newsletter_consent" name="vehicle_sell_newsletter_consent" class="rounded-sm form-checkbox" required>
            <label for="vehicle_sell_newsletter_consent" class="ml-2 text-gray-700">I agree to receive periodical offers, newsletter, safety and recall updates from the dealership. Consent can be withdrawn at any time.</label>
        </div>
        <div class="mb-2 sm:col-span-2 md:col-span-3 flex items-center">
            <input type="checkbox" id="vehicle_sell_privacy_consent" name="vehicle_sell_privacy_consent" class="rounded-sm form-checkbox" required>
            <label for="vehicle_sell_privacy_consent" class="ml-2 text-gray-700">By submitting this information, you are accepting that it may be collected, used and disclosed as described in our <a class="underline font-medium" href="<?= esc_url(get_permalink('181')); ?>">privacy policy</a>.</label>
        </div>

        <!-- Submit Button -->
        <div class="lg:col-span-3">
            <button type="submit" aria-label="Vehicle Sell Form" class="w-full bg-red-500 hover:bg-red-800 transition-colors duration-300 text-white font-medium py-2 px-4 rounded">
                Submit<i class="bi-send-check ml-2"></i>
            </button>
        </div>
    </div>
</form>