<?php

/**
 * Vehicle Trade In template.
 *
 * @package Auto Dealer Forms
 */

?>

<!-- Vehicle Trade In Form -->
<form id="vehicle-trade-in" name="vehicle-trade-in" method="post" action="<?= esc_url(get_permalink('52')); ?>" class="w-full bg-white px-4 2xl:px-0 py-10 rounded-md">

    <!-- Vehicle Search -->
    <h2 class="text-xl lg:text-3xl font-bold mb-2 uppercase">Vehicle you are looking for</h2>
    <div class="sm:grid sm:grid-cols-2 md:grid-cols-3 gap-4 mb-4">

        <input type="hidden" name="action" value="submit_vehicle_trade_in_form">

        <!-- Vehicle Details -->
        <div class="mb-2">
            <label for="vehicle_trade_in_vehicle_make" class="block text-gray-700">Vehicle Make</label>
            <input placeholder="Ford, Honda, Subaru..." type="text" id="vehicle_trade_in_vehicle_make" name="vehicle_trade_in_vehicle_make" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_vehicle_model" class="block text-gray-700">Vehicle Model</label>
            <input placeholder="F-150, Civic, Outback..." type="text" id="vehicle_trade_in_vehicle_model" name="vehicle_trade_in_vehicle_model" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_min_year" class="block text-gray-700">Minimum Year</label>
            <input placeholder="<?= date("Y"); ?>" type="number" min="1900" max="<?= date("Y"); ?>" step="1" id="vehicle_trade_in_min_year" name="vehicle_trade_in_min_year" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_max_year" class="block text-gray-700">Maximum Year</label>
            <input placeholder="<?= date("Y") - 5; ?>" type="number" min="1900" max="<?= date("Y"); ?>" step="1" id="vehicle_trade_in_max_year" name="vehicle_trade_in_max_year" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_min_odometer" class="block text-gray-700">Minimum Odometer</label>
            <input placeholder="5,000" type="number" id="vehicle_trade_in_min_odometer" name="vehicle_trade_in_min_odometer" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_max_odometer" class="block text-gray-700">Maximum Odometer</label>
            <input placeholder="15,000" type="number" id="vehicle_trade_in_max_odometer" name="vehicle_trade_in_max_odometer" class="rounded-md form-input mt-1 block w-full" required>
        </div>

        <div class="mb-2 sm:col-span-2 md:col-span-3">
            <label for="vehicle_trade_in_message" class="block text-gray-700">Comments</label>
            <textarea placeholder="Leave your comment..." id="vehicle_trade_in_message" name="vehicle_trade_in_message" class="rounded-md h-44 lg:h-56 form-textarea mt-1 block w-full" required></textarea>
        </div>

    </div>

    <!-- Trade In? -->
    <h2 class="text-xl lg:text-3xl font-bold mb-2 uppercase">Do you have a Trade In?</h2>
    <div class=" sm:grid sm:grid-cols-2 md:grid-cols-3 gap-4 mb-4">

        <!-- Vehicle Details -->
        <div class="mb-2">
            <label for="vehicle_trade_in_trade_in_year" class="block text-gray-700">Trade In Year</label>
            <input placeholder="<?= date("Y") - 10; ?>" type="number" max="<?= date("Y"); ?>" id="vehicle_trade_in_trade_in_year" name="vehicle_trade_in_trade_in_year" class="rounded-md form-input mt-1 block w-full" requiredx>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_trade_in_make" class="block text-gray-700">Trade In Make</label>
            <input placeholder="Ford, Honda, Subaru..." type="text" id="vehicle_trade_in_trade_in_make" name="vehicle_trade_in_trade_in_make" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_trade_in_model" class="block text-gray-700">Trade In Model</label>
            <input placeholder="F-150, Civic, Outback..." type="text" id="vehicle_trade_in_trade_in_model" name="vehicle_trade_in_trade_in_model" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_trade_in_vin" class="block text-gray-700">Trade In VIN</label>
            <input placeholder="4T1BE46K87U062013" type="text" id="vehicle_trade_in_trade_in_vin" name="vehicle_trade_in_trade_in_vin" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_trade_in_mileage" class="block text-gray-700">Trade In Mileage</label>
            <input placeholder="60,000" type="number" id="vehicle_trade_in_trade_in_mileage" name="vehicle_trade_in_trade_in_mileage" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_trade_in_transmission" class="block text-gray-700">Trade In Transmission</label>
            <select id="vehicle_trade_in_trade_in_transmission" name="vehicle_trade_in_trade_in_transmission" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Select Transmission</option>
                <option value="Automatic">Automatic</option>
                <option value="Manual">Manual</option>
                <option value="CVT">CVT</option>
            </select>
        </div>

    </div>

    <!-- Contact Information -->
    <h2 class="text-xl lg:text-3xl font-bold mb-2 uppercase">Contact Information</h2>
    <div class=" sm:grid sm:grid-cols-2 md:grid-cols-3 gap-4">

        <!-- Contact Information -->
        <div class="mb-2">
            <label for="vehicle_trade_in_first_name" class="block text-gray-700">First Name</label>
            <input placeholder="Enter your first name" type="text" id="vehicle_trade_in_first_name" name="vehicle_trade_in_first_name" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_last_name" class="block text-gray-700">Last Name</label>
            <input placeholder="Enter your last name" type="text" id="vehicle_trade_in_last_name" name="vehicle_trade_in_last_name" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_phone_number" class="block text-gray-700">Phone Number</label>
            <input placeholder="Enter your phone number" type="tel" id="vehicle_trade_in_phone_number" name="vehicle_trade_in_phone_number" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_email" class="block text-gray-700">Email</label>
            <input placeholder="Enter your best email" type="email" id="vehicle_trade_in_email" name="vehicle_trade_in_email" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_postal_code" class="block text-gray-700">Postal Code</label>
            <input placeholder="Enter your postal code (A1B 2C3)" type="text" id="vehicle_trade_in_postal_code" name="vehicle_trade_in_postal_code" class="rounded-md form-input mt-1 block w-full" required>
        </div>
        <div class="mb-2">
            <label for="vehicle_trade_in_preferred_contact" class="block text-gray-700">Preferred Contact Method</label>
            <select id="vehicle_trade_in_preferred_contact" name="vehicle_trade_in_preferred_contact" class="rounded-md form-select mt-1 block w-full" required>
                <option value="" disabled selected>Select Preferred Contact Method</option>
                <option value="phone">Phone</option>
                <option value="email">Email</option>
                <option value="text">Text</option>
            </select>
        </div>

        <!-- Consent Checkboxes -->
        <div class="mb-2 sm:col-span-2 md:col-span-3 flex items-center">
            <input type="checkbox" id="vehicle_trade_in_newsletter_consent" name="vehicle_trade_in_newsletter_consent" class="rounded-sm form-checkbox" required>
            <label for="vehicle_trade_in_newsletter_consent" class="ml-2 text-gray-700">I agree to receive periodical offers, newsletter, safety and recall updates from the dealership. Consent can be withdrawn at any time.</label>
        </div>
        <div class="mb-2 sm:col-span-2 md:col-span-3 flex items-center">
            <input type="checkbox" id="vehicle_trade_in_privacy_consent" name="vehicle_trade_in_privacy_consent" class="rounded-sm form-checkbox" required>
            <label for="vehicle_trade_in_privacy_consent" class="ml-2 text-gray-700">By submitting this information, you are accepting that it may be collected, used and disclosed as described in our <a class="underline font-medium" href="<?= esc_url(get_permalink('181')); ?>">privacy policy</a>.</label>
        </div>

        <!-- Submit Button -->
        <div class="lg:col-span-3">
            <button type="submit" aria-label="Vehicle Trade-in Form" class="w-full bg-red-500 hover:bg-red-800 transition-colors duration-300 text-white font-medium py-2 px-4 rounded">
                Submit<i class="bi-send-check ml-2"></i>
            </button>
        </div>

    </div>

</form>