<?php

/**
 * Terms and Conditions page template.
 * 
 * @package ThemeStarter
 */

?>

<!-- Get Header -->
<?php get_header(); ?>

<?php get_template_part('template-parts/partials/page-header') ?>

<!-- Terms and Conditions Template -->
<section class="flex h-full items-center justify-center">
  <div class="max-w-7xl mx-auto prose px-4 py-8">
    <h1>Terms and Conditions</h1>
    <p>Welcome to Roger's Motors!</p>
    <p>These terms and conditions outline the rules and regulations for the use of Roger's Motors's Website, located at www.rogersmotors.com.</p>
    <p>By accessing this website we assume you accept these terms and conditions. Do not continue to use Roger's Motors if you do not agree to take all of the terms and conditions stated on this page.</p>
    <p>The following terminology applies to these Terms and Conditions, Privacy Statement and Disclaimer Notice and all Agreements: "Client", "You" and "Your" refers to you, the person log on this website and compliant to the Company’s terms and conditions. "The Company", "Ourselves", "We", "Our" and "Us", refers to our Company. "Party", "Parties", or "Us", refers to both the Client and ourselves. All terms refer to the offer, acceptance and consideration of payment necessary to undertake the process of our assistance to the Client in the most appropriate manner for the express purpose of meeting the Client’s needs in respect of provision of the Company’s stated services, in accordance with and subject to, prevailing law of Netherlands. Any use of the above terminology or other words in the singular, plural, capitalization and/or he/she or they, are taken as interchangeable and therefore as referring to same.</p>
    <h3>Cookies</h3>
    <p>We employ the use of cookies. By accessing Roger's Motors, you agreed to use cookies in agreement with the Roger's Motors's Privacy Policy.</p>
    <p>Most interactive websites use cookies to let us retrieve the user’s details for each visit. Cookies are used by our website to enable the functionality of certain areas to make it easier for people visiting our website. Some of our affiliate/advertising partners may also use cookies.</p>
    <h3>License</h3>
    <p>Unless otherwise stated, Roger's Motors and/or its licensors own the intellectual property rights for all material on Roger's Motors. All intellectual property rights are reserved. You may access this from Roger's Motors for your own personal use subjected to restrictions set in these terms and conditions.</p>
    <p>You must not:</p>
    <ul>
      <li>Republish material from Roger's Motors</li>
      <li>Sell, rent or sub-license material from Roger's Motors</li>
      <li>Reproduce, duplicate or copy material from Roger's Motors</li>
      <li>Redistribute content from Roger's Motors</li>
    </ul>
    <p>This Agreement shall begin on the date hereof.</p>
    <h3>Hyperlinking to our Content</h3>
    <p>The following organizations may link to our Website without prior written approval:</p>
    <ul>
      <li>Government agencies</li>
      <li>Search engines</li>
      <li>News organizations</li>
      <li>Online directory distributors may link to our Website in the same manner as they hyperlink to the Websites of other listed businesses; and</li>
      <li>System wide Accredited Businesses except soliciting non-profit organizations, charity shopping malls, and charity fundraising groups which may not hyperlink to our Web site.</li>
    </ul>
    <p>These organizations may link to our home page, to publications or to other Website information so long as the link: (a) is not in any way deceptive; (b) does not falsely imply sponsorship, endorsement or approval of the linking party and its products and/or services; and (c) fits within the context of the linking party’s site.</p>
    <h3>iFrames</h3>
    <p>Without prior approval and written permission, you may not create frames around our Webpages that alter in any way the visual presentation or appearance of our Website.</p>
    <h3>Content Liability</h3>
    <p>We shall not be hold responsible for any content that appears on your Website. You agree to protect and defend us against all claims that is rising on your Website. No link(s) should appear on any Website that may be interpreted as libelous, obscene or criminal, or which infringes, otherwise violates, or advocates the infringement or other violation of, any third party rights.</p>
    <h3>Reservation of Rights</h3>
    <p>We reserve the right to request that you remove all links or any particular link to our Website. You approve to immediately remove all links to our Website upon request. We also reserve the right to amen these terms and conditions and it’s linking policy at any time. By continuously linking to our Website, you agree to be bound to and follow these linking terms and conditions.</p>
    <h3>Removal of links from our website</h3>
    <p>If you find any link on our Website that is offensive for any reason, you are free to contact and inform us any moment. We will consider requests to remove links but we are not obligated to or so or to respond to you directly.</p>
    <p>We do not ensure that the information on this website is correct, we do not warrant its completeness or accuracy; nor do we promise to ensure that the website remains available or that the material on the website is kept up to date.</p>
    <h3>Disclaimer</h3>
    <p>To the maximum extent permitted by applicable law, we exclude all representations, warranties, and conditions relating to our website and the use of this website. Nothing in this disclaimer will:</p>
    <ul>
      <li>limit or exclude our or your liability for death or personal injury;</li>
      <li>limit or exclude our or your liability for fraud or fraudulent misrepresentation;</li>
      <li>limit any of our or your liabilities in any way that is not permitted under applicable law; or</li>
      <li>exclude any of our or your liabilities that may not be excluded under applicable law.</li>
    </ul>
    <p>The limitations and prohibitions of liability set in this Section and elsewhere in this disclaimer: (a) are subject to the preceding paragraph; and (b) govern all liabilities arising under the disclaimer, including liabilities arising in contract, in tort and for breach of statutory duty.</p>
</section>

<!-- Get Footer -->
<?php get_footer(); ?>